#!/bin/bash
git clone --recursive https://github.com/smtiitm/Fastspeech2_HS.git && cd Fastspeech2_HS && git lfs fetch --all && git lfs pull && git apply ../patches/fastspeech2.patch && cd ..
docker build --build-arg="UID=$(id -u)" --build-arg="GID=$(id -g)" -t dhruva/iitm-tts-envbuilder . -f envbuilder.dockerfile
mkdir onnx_models
nvidia-docker run --gpus=all -it --rm --name iitm-tts-dhruva-builder -v ./Fastspeech2_HS:/Fastspeech2_HS -v ./onnx_models:/onnx_models -v ./notebooks:/notebooks -v ./patches:/patches -v ./scripts:/scripts dhruva/iitm-tts-envbuilder bash /scripts/perform_onnx_conversion.sh
mkdir triton_model_repo
nvidia-docker run --gpus=all -it --rm --name iitm-tts-dhruva-builder -v ./patches:/patches -v ./triton_models/tts:/model -v ./triton_model_repo:/model_repo dhruva/iitm-tts-envbuilder bash /model/envbuilder.sh
cp Fastspeech2_HS/text_preprocess_for_inference.py triton_model_repo/tts/1
cp Fastspeech2_HS/get_phone_mapped_python.py triton_model_repo/tts/1
cp -r triton_models/tts/config.pbtxt triton_models/tts/1 triton_model_repo/tts
cp -r onnx_models/* Fastspeech2_HS/phone_dict Fastspeech2_HS/ssn_parser Fastspeech2_HS/charmap Fastspeech2_HS/multilingualcharmap.json triton_model_repo/tts/1